function r(e2) {
  var t2, f2, n = "";
  if ("string" == typeof e2 || "number" == typeof e2)
    n += e2;
  else if ("object" == typeof e2)
    if (Array.isArray(e2))
      for (t2 = 0; t2 < e2.length; t2++)
        e2[t2] && (f2 = r(e2[t2])) && (n && (n += " "), n += f2);
    else
      for (t2 in e2)
        e2[t2] && (n && (n += " "), n += t2);
  return n;
}
function e() {
  for (var e2, t2, f2 = 0, n = ""; f2 < arguments.length; )
    (e2 = arguments[f2++]) && (t2 = r(e2)) && (n && (n += " "), n += t2);
  return n;
}
function t(r2) {
  var e2, f2, n = "";
  if ("string" == typeof r2 || "number" == typeof r2)
    n += r2;
  else if ("object" == typeof r2)
    if (Array.isArray(r2)) {
      var o = r2.length;
      for (e2 = 0; e2 < o; e2++)
        r2[e2] && (f2 = t(r2[e2])) && (n && (n += " "), n += f2);
    } else
      for (f2 in r2)
        r2[f2] && (n && (n += " "), n += f2);
  return n;
}
function f() {
  for (var r2, e2, f2 = 0, n = "", o = arguments.length; f2 < o; f2++)
    (r2 = arguments[f2]) && (e2 = t(r2)) && (n && (n += " "), n += e2);
  return n;
}
export {
  f as a,
  e as c
};
